# Uses of Class
javax.security.auth.kerberos.KerberosPrincipal

Packages that use KerberosPrincipal
Package
Description
javax.security.auth.kerberos
This package contains utility classes related to the Kerberos network authentication protocol.

## Uses of KerberosPrincipal in javax.security.auth.kerberos

Methods in javax.security.auth.kerberos that return KerberosPrincipal
Modifier and Type
Method
Description
`final KerberosPrincipal`
KerberosTicket.`getClient()`
Returns the client principal associated with this ticket.
`final KerberosPrincipal`
KerberosKey.`getPrincipal()`
Returns the principal that this key belongs to.
`KerberosPrincipal`
KeyTab.`getPrincipal()`
Returns the service principal this `KeyTab` object is bound to.
`KerberosPrincipal`
KerberosCredMessage.`getRecipient()`
Returns the recipient of this message.
`KerberosPrincipal`
KerberosCredMessage.`getSender()`
Returns the sender of this message.
`final KerberosPrincipal`
KerberosTicket.`getServer()`
Returns the service principal associated with this ticket.
Methods in javax.security.auth.kerberos with parameters of type KerberosPrincipal
Modifier and Type
Method
Description
`static KeyTab`
KeyTab.`getInstance(KerberosPrincipal princ)`
Returns the default `KeyTab` instance that is bound to the specified service principal.
`static KeyTab`
KeyTab.`getInstance(KerberosPrincipal princ, File file)`
Returns a `KeyTab` instance from a `File` object that is bound to the specified service principal.
`KerberosKey[]`
KeyTab.`getKeys(KerberosPrincipal principal)`
Returns fresh keys for the given Kerberos principal.
Constructors in javax.security.auth.kerberos with parameters of type KerberosPrincipal
Modifier
Constructor
Description
``
`KerberosCredMessage(KerberosPrincipal sender, KerberosPrincipal recipient, byte[] message)`
Constructs a `KerberosCredMessage` object.
``
`KerberosKey(KerberosPrincipal principal, byte[] keyBytes, int keyType, int versionNum)`
Constructs a `KerberosKey` from the given bytes when the key type and key version number are known.
``
`KerberosKey(KerberosPrincipal principal, char[] password, String algorithm)`
Constructs a `KerberosKey` from a principal's password using the specified algorithm name.
``
`KerberosTicket(byte[] asn1Encoding, KerberosPrincipal client, KerberosPrincipal server, byte[] sessionKey, int keyType, boolean[] flags, Date authTime, Date startTime, Date endTime, Date renewTill, InetAddress[] clientAddresses)`
Constructs a `KerberosTicket` using credentials information that a client either receives from a KDC or reads from a cache.